require "bog_api/version"
require "bog_api/configuration"

require 'bog_api/v1/order'
require 'bog_api/v1/user'
require 'bog_api/v1/payment'
require 'bog_api/v1/sell'
require 'bog_api/v1/rate'

require 'httparty'

module BogApi

  include HTTParty

  base_uri 'https://bits500.herokuapp.com/client_api/v1'
  format :json

  debug_output $stdout

  @@configuration = nil
  # Your code goes here...

  def self.configure(&block)
    block.call(self.configuration)
    true
  end

  def self.configuration
    @@configuration ||= BogApi::Configuration
  end

  def self.token
    self.configuration.token
  end

  def self.users
    BogApi::V1::User
  end

  def self.orders
    BogApi::V1::Order
  end

  def self.payments
    BogApi::V1::Payment
  end

  def self.sells
    BogApi::V1::Sell
  end

  def self.rates
    BogApi::V1::Rate
  end
end
