module BogApi
  module V1
    class Order

      def self.all(query = {})
        BogApi.get("/orders.json", query: query, headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.find(id)
        BogApi.get("/orders/#{id}.json", headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.create(order_data)
        BogApi.post("/orders.json", body: order_data.to_json, headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.cancel(id)
        BogApi.put("/orders/#{id}/cancel.json", headers: {"Token" => BogApi.configuration.token }).parsed_response
      end
    end
  end
end
