module BogApi
  module V1
    class User

      def self.all(query = {})
        BogApi.get("/users.json", query: query, headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.find(id)
        BogApi.get("/users/#{id}.json", headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.create(user_data)
        BogApi.post("/users.json", body: user_data.to_json, headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.update(id, user_data)
        BogApi.post("/users/#{id}.json", body: user_data.to_json, headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

    end
  end
end
